# -*- coding: utf-8 -*-

# aiia-rst documentation build configuration file, created by
# sphinx-quickstart on Mon Feb 19 09:07:58 2024.
#
# This file is execfile()d with the current directory set to its
# containing dir.
#
# Note that not all possible configuration values are present in this
# autogenerated file.
#
# All configuration values have a default; values that are commented out
# serve to show the default.
#
# If extensions (or modules to document with autodoc) are in another directory,
# add these directories to sys.path here. If the directory is relative to the
# documentation root, use os.path.abspath to make it absolute, like shown here.

import os
import sys
from typing import Dict, List

import aiia_rst

here = os.path.dirname(__file__)
sys.path.insert(0, os.path.abspath(os.path.join(here, "..")))


# -- General configuration ------------------------------------------------

# If your documentation needs a minimal Sphinx version, state it here.
#
# needs_sphinx = '1.0'

# Add any Sphinx extension module names here, as strings. They can be
# extensions coming with Sphinx (named 'sphinx.ext.*') or your custom
# ones.
extensions = ["sphinx.ext.autodoc", "sphinx.ext.napoleon", "sphinx_autodoc_typehints"]

pdf_documents = [("index", "documentatie", "RWS Datalab Rijkswaterstaat")]


# Add any paths that contain templates here, relative to this directory.
templates_path = ["_templates"]

# The suffix(es) of source filenames.
# You can specify multiple suffix as a list of string:
#
# source_suffix = [".rst", ".md"]
source_suffix = ".rst"

# The master toctree document.
master_doc = "index"

# General information about the project.
project = "aiia rst"
copyright = "2024, Rijkswaterstaat"  # noqa: E228
author = "RWS Datalab"

# The version info for the project you're documenting, acts as replacement for
# |version| and |release|, also used in various other places throughout the
# built documents.
#
# The short X.Y version.
version = aiia_rst.__version__
# The full version, including alpha/beta/rc tags.
release = aiia_rst.__version__

# The language for content autogenerated by Sphinx. Refer to documentation
# for a list of supported languages.
#
# This is also used if you do content translation via gettext catalogs.
# Usually you set "language" from the command line for these cases.
language = "nl"

# List of patterns, relative to source directory, that match files and
# directories to ignore when looking for source files.
# This patterns also effect to html_static_path and html_extra_path
exclude_patterns = ["_build", "Thumbs.db", ".DS_Store"]

# The name of the Pygments (syntax highlighting) style to use.
pygments_style = "sphinx"

# If true, `todo` and `todoList` produce output, else they produce nothing.
todo_include_todos = False


# -- Options for HTML output ----------------------------------------------

# The theme to use for HTML and HTML Help pages.
# See the documentation for a list of builtin themes.
html_theme = "pydata_sphinx_theme"

# Theme options are theme-specific and customize the look and feel of a theme
# further.  For a list of options available for each theme, see the
# documentation.
html_theme_options = {
    "navbar_center": ["search-field"],
    "navigation_with_keys": True,
    "secondary_sidebar_items": ["page-toc"],
}

# Add any paths that contain custom static files (such as style sheets) here,
# relative to this directory. They are copied after the builtin static files,
# so a file named "default.css" will overwrite the builtin "default.css".
html_static_path = ["_static"]
html_context = {"default_mode": "light"}

# Custom sidebar templates, must be a dictionary that maps document names
# to template names.
#
# This is required for the alabaster theme
# refs: http://alabaster.readthedocs.io/en/latest/installation.html#sidebars
html_sidebars = {"**": ["globaltoc.html"]}


# -- Options for HTMLHelp output ------------------------------------------

# Output file base name for HTML help builder.
htmlhelp_basename = "aiia-rst_doc"


# -- Options for LaTeX output ---------------------------------------------
latex_engine = "xelatex"
latex_elements: Dict[str, str] = {
    "extraclassoptions": "openany,oneside",
    'preamble': r'''
\definecolor{aiiablue}{HTML}{D2ECF8}
\definecolor{aiiagreen}{HTML}{DDEEDB}
\newsphinxbox[border-radius=0pt,border-width=0pt, background-TeXcolor={RGB}{210,236,248}]{\aiiablue}
\newsphinxbox[border-radius=0pt,border-width=0pt, background-TeXcolor={RGB}{221,238,219}]{\aiiagreen}
\newcommand{\DUroleblue}[1]{\aiiablue{\parbox{1\linewidth}{#1}}}
\newcommand{\DUrolegreen}[1]{\aiiagreen{\parbox{1\linewidth}{#1}}}
''',
}
# The paper size ('letterpaper' or 'a4paper').
    #
    # 'papersize': 'letterpaper',
    # The font size ('10pt', '11pt' or '12pt').
    #
    # 'pointsize': '10pt',
    # Additional stuff for the LaTeX preamble.
    #
    # 'preamble': '',
    # Latex figure (float) alignment
    #
    # 'figure_align': 'htbp',

# Grouping the document tree into LaTeX files. List of tuples
# (source start file, target name, title,
#  author, documentclass [howto, manual, or own class]).
latex_documents = [
    (master_doc, "aiia-rst.tex", "aiia rst documentatie", "RWS Datalab", "manual")
]


# -- Options for manual page output ---------------------------------------

# One entry per manual page. List of tuples
# (source start file, name, description, authors, manual section).
man_pages = [(master_doc, "aiia-rst", "aiia rst documentatie", [author], 1)]


# -- Options for Texinfo output -------------------------------------------

# Grouping the document tree into Texinfo files. List of tuples
# (source start file, target name, title, author,
#  dir menu entry, description, category)
texinfo_documents = [
    (
        master_doc,
        "aiia-rst",
        "aiia rst documentatie",
        author,
        "aiia-rst",
        "De AIIA in rst-format, om makkelijker te kunnen invoegen in documentatie",
        "Miscellaneous",
    )
]
